---
page_title: Bank Account Validation Status Check
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/payout/bank-account-validation-status-check
openapi:
  V2: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fpayout%2Fbank-account-validation-status-check%3Fversion%3DV2
  v1: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fpayout%2Fbank-account-validation-status-check%3Fversion%3Dv1
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: V2


# Bank Account Validation Status Check



**THIS PAGE IS MOVED TO THE LINK** [HERE](https://juspay.io/in/docs/payout/docs/integration/beneficiary-validation-status-check)

Merchant can check status of account validation which are in pending status## Endpoints:
- Sandbox: https://sandbox.juspay.in/payout/merchant/v2/benedetails/{customerId}/{beneId}

- Production: https://api.juspay.in/payout/merchant/v2/benedetails/{customerId}/{beneId}

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
pass merchant id that is provided by Juspay
- Tags: string
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request GET 'https://api.juspay.in/payout/merchant/v2/benedetails/:customerId/:beneId' \
-u your_api_key: \
--header 'x-merchantid: <merchant-id>'

```

### Sample Response:

#### Response:
```json
{
    "status": "VALID",
    "uniqueId": "339178511401",
    "beneDetails": {
        "details": {
            "name": "Aditya Kadrolkar",
            "account": "02014457596967",
            "ifsc": "CITI0000001"
        },
        "type": "ACCOUNT_IFSC"
    },
    "nameAtBank": "Aditya Kadrolkar",
    "responseCode" : "ACCOUNT_IS_VALID",
    "responseMessage": "VALIDATION_SUCCESSFULL",
    "validationType": "PennyDrop",
    "createdAt": "2024-05-29T13:57:00Z",
    "updatedAt": "2024-05-29T13:59:33Z",
    "transactions": [
        {
            "transactionRef": "a3c95727ea24bde9ede56704504e71",
            "createdAt" : "2024-05-29T13: 58: 07Z",
            "updatedAt" : "2024-05-29T13: 59: 02Z",
            "nameAtBank ": "Aditya Kadrolkar",
            "status" : "VALID",
            "responseCode" : "ACCOUNT_IS_VALID",
            "responseMessage" : "VALIDATION_SUCCESSFULL",
            "validateResp" : {
                "subCode": "200",
                "status": "SUCCESS",
                "message": "VALIDATION_SUCCESSFULL",
                "data": {
                    "nameAtBank": "Aditya Kadrolkar",
                    "accountExists": "YES"
                },
                "validationMethod" : "KOTAK'JUSPAY_IMPS",
                "gatewayRefId" : "786652737",
                "gatewayCredRefId" : "2142101245111"
            }

        }
    ]
}

```

## API Responses:
### 200:

#### status:
- Description: Status of the validation request
- Value:  VALID | INVALID | TIMEOUT | ERROR | PENDING
- Tags: String

#### uniqueId:
- Description: Unique ID passed in the request
- Value: 339178511401
- Tags: String

#### beneDetails:
- Description: Beneficiary details provided in the request
- Value:
  - **Details**:
    - Value:
      - **Name**:
        - Value: Aditya Kadrolkar
        - Tags: String
      - **Account**:
        - Value: 02014457596967
        - Tags: String
      - **Ifsc**:
        - Value: CITI0000001
        - Tags: String
      - **Vpa**:
        - Tags: String
      - **Mobile**:
        - Tags: String
    - Tags: JSON
  - **Type**:
    - Description: Type of Validation performed
    - Value: ACCOUNT_IFSC | UPI_ID
    - Tags: String
- Tags: JSON

#### nameAtBank:
- Description: Name of beneficiary provided by the Issuing Bank
- Value: Aditya Kadrolkar
- Tags: String

#### responseCode:
- Description: Validation Response Code
- Value: ACCOUNT_IS_VALID
- Tags: String

#### responseMessage:
- Description: Validation Response Message
- Value: VALIDATION_SUCCESSFULL
- Tags: String

#### validationType:
- Description: Sub-type of validation if applicable
- Value: PennyDrop
- Tags: String

#### createdAt:
- Description: Validation creation timestamp
- Value: 2024-05-29T13:57:00Z
- Tags: String

#### updatedAt:
- Description: Validation updation timestamp
- Value: 2024-05-29T13:59:33Z
- Tags: String

#### transactions:
- Description: Validation transaction details in the descending order
- Tags: Object
### 401:

#### error:
- Value: true
- Tags: Boolean

#### errorCode:
- Value: E02
- Tags: String

#### errorMessage:
- Value: Invalid API key passed in request.
- Tags: String

#### userMessage:
- Value: Invalid API Key
- Tags: String
### 404:

#### error:
- Value: true
- Tags: Boolean

#### errorCode:
- Value: E09
- Tags: String

#### errorMessage:
- Value: Could not find resource: BeneId 3391785114011
- Tags: String

#### userMessage:
- Value: Not Found
- Tags: String


---

## API Version: v1


# Bank Account Validation Status Check



Merchant can check status of account validation which are in pending status## Endpoints:
- Production: https://api.juspay.in/payout/merchant/v1/benedetails/{customerId}/{beneId}

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
pass merchant id that is provided by Juspay
- Tags: string
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request GET 'https://api.juspay.in/payout/merchant/v1/benedetails/:customerId/:beneId' \
-u your_api_key: \
--header 'x-merchantid: <merchant-id>' 
```

### Sample Response:

#### Response:
```json
{
  "validateResp": {
      "subCode": "200",
      "status": "SUCCESS",
      "message": "Bank Account details verified successfully",
      "data": {
          "utr": "1644216813753653",
          "refId": "1064897",
          "nameAtBank": "JOHN DOE",
          "micr": 400532038,
          "city": "GREATER BOMBAY",
          "branch": "SANTACRUZ, MUMBAI",
          "bankName": "YES BANK",
          "amountDeposited": "1"
      },
      "accountStatusCode": "ACCOUNT_IS_VALID",
      "accountStatus": "VALID"
  },
  "uniqueId": "Arun27",
  "status": "VALID",
  "remark": "Bank Account details verified successfully",
  "nameAtBank": "JOHN DOE",
  "fulfillmentMethod": "CFGEN_IMPS",
  "beneDetails": {
      "details": {
          "name": "Shubham Kumar",
          "ifsc": "YESB0000262",
          "account": "026291800001191"
      },
      "type": "ACCOUNT_IFSC"
  }
}
"fulfillmentMethod": "CFGEN_IMPS"
}
```

## API Responses:
### 200:

#### json:
- Tags: Object
### 400:

#### object:
- Description: {}
- Tags: Object


---

## See Also

- [Bank Account Validation](https://juspay.io/in/docs/api-reference/docs/payout/bank-account-validation)
- [IFSC Validation](https://juspay.io/in/docs/api-reference/docs/payout/ifsc-validation)
